Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.persistence.dataobject
Class EJBAppServerDO

    java.lang.Object
      java.util.Observable
          org.wso2.wsas.persistence.dataobject.AbstractDataObject
              org.wso2.wsas.persistence.dataobject.EJBAppServerDO

    public class EJBAppServerDO

extends AbstractDataObject

Data object representing ejb application server

Constructor Summary
`EJBAppServerDO()`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getAppServerType()`
`java.lang.String` | `getJndiContextClass()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getProviderURL()`
`java.lang.String` | `getUserName()`
`int` | `hashCode()`
`void` | `setAppServerType(java.lang.String appServerType)`
`void` | `setJndiContextClass(java.lang.String jndiContextClass)`
`void` | `setPassword(java.lang.String password)`
`void` | `setProviderURL(java.lang.String providerURL)`
`void` | `setUserName(java.lang.String userName)`

Methods inherited from class org.wso2.wsas.persistence.dataobject.AbstractDataObject
`getId, getLastUpdatedTime, notifyObservers, setId, setLastUpdatedTime`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJBAppServerDO

    public EJBAppServerDO()

Method Detail

### getAppServerType

    public java.lang.String getAppServerType()

### setAppServerType

    public void setAppServerType(java.lang.String appServerType)

### getJndiContextClass

    public java.lang.String getJndiContextClass()

### setJndiContextClass

    public void setJndiContextClass(java.lang.String jndiContextClass)

### getPassword

    public java.lang.String getPassword()

### setPassword

    public void setPassword(java.lang.String password)

### getProviderURL

    public java.lang.String getProviderURL()

### setProviderURL

    public void setProviderURL(java.lang.String providerURL)

### getUserName

    public java.lang.String getUserName()

### setUserName

    public void setUserName(java.lang.String userName)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD